# Class UiBinding.DateConverter

java.lang.Object
com.codename1.properties.UiBinding.ObjectConverter
com.codename1.properties.UiBinding.DateConverter

Enclosing class:
  `UiBinding`

public static class UiBinding.DateConverter extends UiBinding.ObjectConverter
Converts the source value to a Date.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DateConverter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `convert(Object source)`
  Converts an object of source type to the type matching this class, the default implementation does nothing and can be used as a stand-in

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### DateConverter

    public DateConverter()

- ## Method Details

  - ### convert

    public Object convert(Object source)
    Description copied from class: `UiBinding.ObjectConverter`

    Converts an object of source type to the type matching this class, the default implementation does nothing and can be used as a stand-in

    ###### Parameters

    - `source`: an object or null

    ###### Returns

    null or a new object instance

    Overrides:
      `convert` in class `UiBinding.ObjectConverter`